Name: mp3info
Version: 0.8.4
Release: alt7

Summary: Utility for MP3 information and tag modification
License: GPL
Group: Sound
Url: ftp://ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info
Packager: Dmitry V. Levin <ldv@altlinux.org>
Summary(ru_RU.KOI8-R):      MP3    

Source: %url/mp3info-%version.tar
Source1: mp3info.menu
Source2: mp3info-16.xpm
Source3: mp3info-32.xpm
Source4: mp3info-48.xpm

Patch1: mp3info-0.8.4-deb-fixes.patch
Patch2: mp3info-0.8.4-alt-fixes.patch

BuildPreReq: gtk+-devel, libncurses-devel

%package -n g%name
Summary: Utility for MP3 information and tag modification
Group: Sound
Requires: %name = %version-%release

%description
An MP3 technical info viewer and ID3 1.x tag editor
MP3Info has an interactive mode (using curses) and a command line mode.
MP3Info can display ID3 tag information as well as various technical aspects
of an MP3 file including playing time, bit-rate, sampling frequency and other
attributes in a pre-defined or user-specifiable output format.

This package installs ncurses version of mp3info.
If you prefer GTK interface you should use g%name package.

%description -n g%name
An MP3 technical info viewer and ID3 1.x tag editor
MP3Info has an interactive mode (using curses) and a command line mode.
MP3Info can display ID3 tag information as well as various technical aspects
of an MP3 file including playing time, bit-rate, sampling frequency and other
attributes in a pre-defined or user-specifiable output format.

This package installs GTK version of mp3info.
If you prefer command line or curses interface you should use %name package.

%prep
%setup -q
%__subst -p 's/
$//' *.c
%patch1 -p1
%patch2 -p1

%build
%def_enable Werror
%make_build CFLAGS="%optflags" mp3info gmp3info

%install
make install INSTALL="install -pD" DESTDIR="%buildroot"
install -pDm644 %_sourcedir/mp3info.menu %buildroot%_menudir/%name
install -pDm644 %_sourcedir/mp3info-16.xpm %buildroot%_miconsdir/%name.xpm
install -pDm644 %_sourcedir/mp3info-32.xpm %buildroot%_niconsdir/%name.xpm
install -pDm644 %_sourcedir/mp3info-48.xpm %buildroot%_liconsdir/%name.xpm
ln -s mp3info.1 "%buildroot%_man1dir/gmp3info"

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/mp3info
%_man1dir/mp3info.*
%doc README ChangeLog *.lsm

%files -n gmp3info
%_bindir/gmp3info
%_man1dir/gmp3info.*
%_menudir/%name
%_liconsdir/*.xpm
%_niconsdir/*.xpm
%_miconsdir/*.xpm
%doc README ChangeLog *.lsm

%changelog
* Sun Nov 12 2006 Dmitry V. Levin <ldv@altlinux.org> 0.8.4-alt7
- Fixed build with -D_FORTIFY_SOURCE=2 -Werror.

* Thu May 25 2006 Dmitry V. Levin <ldv@altlinux.org> 0.8.4-alt6
- Deal with compilation warnings generated by new gcc compiler.

* Tue Mar 07 2006 Dmitry V. Levin <ldv@altlinux.org> 0.8.4-alt5
- Fixed build on 64bit architectures.

* Tue Feb 10 2004 Dmitry V. Levin <ldv@altlinux.org> 0.8.4-alt4
- Fixed several potential buffer overflows.

* Thu Dec 11 2003 Dmitry V. Levin <ldv@altlinux.org> 0.8.4-alt3
- Applied fixes from Debian.
- Fixed build dependencies.
- Moved gtk interface version (g%name) to separate subpackage.

* Sat Oct 05 2002 Rider <rider@altlinux.ru> 0.8.4-alt2
- rebuild

* Sat Jan 05 2002 Rider <rider@altlinux.ru> 0.8.4-alt1
- 0.8.4
- added to menu

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.2.16-ipl6mdk
- Fixed build with glibc-2.2.2.

* Sun Jan 14 2001 AEN <aen@logic.ru>
- RE adaptation

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.16-4mdk
- capitalize summary

* Tue Aug 01 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.16-3mdk
- BM

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.16-2mdk
- fix group
- fix files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz archive, man pages

* Fri Mar 19 1999 Thorvald Natvig <thorvald@natvig.com>
- Initial release as RPM
